<?php
require_once 'dbconfig.php';
if ($_SERVER['REQUEST_METHOD'] == 'POST'){
  $id = $_GET['id_active'];
  $sqlconn = mysqli_connect(DB_SERVER, DB_USERNAME, DB_PASSWORD, DB_NAME);
  if (!$sqlconn) {
    die('mySQL connection failed');
  }
  if ($_GET['type'] == 'add'){
    $location = $_POST['location'];
    // Menyiapkan statement INSERT
    $sqlquery = 'INSERT INTO prefloc (id,location) SELECT ?, ? FROM prefloc WHERE NOT EXISTS (SELECT id, location FROM prefloc WHERE id=? AND location=?) LIMIT 1';
    $stmt = mysqli_prepare($sqlconn, $sqlquery);

    // Bind variables
    mysqli_stmt_bind_param($stmt, "isis", $id, $location, $id, $location);

    if(mysqli_stmt_execute($stmt)){
      echo 'sesuatu';
      header('location: '. htmlspecialchars($_SERVER["PHP_SELF"]) .'?id_active='. $_GET['id_active']);
    } else {
      echo 'gagal';
    }
  } elseif ($_GET['type'] =='update'){
    // Menyiapkan statement INSERT
    $newLoc = $_POST['newVal'];
    $oldLoc = $_POST['oldVal'];
    $sqlquery = 'UPDATE prefloc SET location=? WHERE id=? AND location=?';
    $stmt = mysqli_prepare($sqlconn, $sqlquery);

    // Bind variables
    mysqli_stmt_bind_param($stmt, "sis", $newLoc, $id, $oldLoc);

    if(mysqli_stmt_execute($stmt)){
      echo 'OK';
    } else {
      echo 'gagal';
  }
}
  mysqli_stmt_close($stmt);

  mysqli_close($sqlconn);
}
if ($_SERVER['REQUEST_METHOD'] == 'DELETE'){
  $id = $_GET['id_active'];
  $location = $_GET['location'];
  $sqlconn = mysqli_connect(DB_SERVER, DB_USERNAME, DB_PASSWORD, DB_NAME);
  if (!$sqlconn) {
    die('mySQL connection failed');
  }

  // Menyiapkan statement SELECT
  $sqlquery = 'DELETE FROM prefloc WHERE id=? AND location=?';
  $stmt = mysqli_prepare($sqlconn, $sqlquery);

  // Bind variables
  mysqli_stmt_bind_param($stmt, "is", $id, $location);
  if(mysqli_stmt_execute($stmt)){
    echo "OK";
  } else {
    echo "gagal";
  }
  mysqli_stmt_close($stmt);
  mysqli_close($sqlconn);
}
if ($_SERVER['REQUEST_METHOD'] == 'GET'){
  $id = $_GET['id_active'];
  $sqlconn = mysqli_connect(DB_SERVER, DB_USERNAME, DB_PASSWORD, DB_NAME);
  if (!$sqlconn) {
    die('mySQL connection failed');
  }

  // Menyiapkan statement SELECT
  $sqlquery = 'SELECT location FROM prefloc WHERE id=?';
  $stmt = mysqli_prepare($sqlconn, $sqlquery);

  // Bind variables
  mysqli_stmt_bind_param($stmt, "i", $id);



 ?>
<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <title>Edit Prefered Location</title>
    <script src="js/edit-pref-loc.js" charset="utf-8"></script>
    <link rel="stylesheet" href="css/styles.css">
    <link href="https://fonts.googleapis.com/css?family=Oswald" rel="stylesheet">
  </head>
  <body>
    <div class="container">
      <h1>EDIT PREFERED LOCATIONS</h1>
      <table style="text-align: center; width: 100%;">
        <thead>
          <th>No</th>
          <th class="wid70">Location</th>
          <th class="wid20">Actions</th>
        </thead>
        <tbody>
<?php
if(mysqli_stmt_execute($stmt)){
  // Simpan Hasil query
  mysqli_stmt_store_result($stmt);
  mysqli_stmt_bind_result($stmt, $location);
  $i = 1;
  while (mysqli_stmt_fetch($stmt)) {
    echo '<tr>'.
      '<td>' . $i . '</td>'.
      '<td>' . $location . '</td>'.
      '<td >'.
      '<div class="action-column">'.
        '<a onclick="editLoc(this)"><img src="img/pencil.png" class="icon" alt="edit"></a>'.
        '<a onclick="delLoc(this)"><img src="img/delete.png" class="icon" alt="delete"></a>'.
      '</div>'.
      '</td>'.
      '</tr>';
        $i++;
      }
    }
    mysqli_stmt_close($stmt);
  }
  mysqli_close($sqlconn);
?>
        </tbody>
      </table>
      <br>

      <h2>ADD NEW LOCATION:</h2>
      <form class="form-inline" action="<?php echo htmlspecialchars($_SERVER['PHP_SELF']) .'?id_active='. $_GET['id_active'] . '&type=add';?>" onsubmit="return isFilled()" method="post">
        <input type="text" class="form-control loc" name="location" >

        <button type="submit" class="btn-css">ADD</button>
      </form>
      <br>
      <button type="button" class="btn-danger" onclick="location.href = 'profile.php?id_active=<?php echo $id;?>';">BACK</button>
    </div>
  </body>
</html>
<?php

 ?>
