<!DOCTYPE html>
<?php
  require_once 'dbconfig.php';

  $sqlconn = mysqli_connect(DB_SERVER, DB_USERNAME, DB_PASSWORD, DB_NAME);
  if (!$sqlconn) {
    die('mySQL connection failed');
  }

  // Menyiapkan statement SELECT
  $sqlquery = 'SELECT username, fullname, email, phoneno, isdriver, avg_vote, n_voters, img_name FROM userinfo WHERE id=?';
  $stmt = mysqli_prepare($sqlconn, $sqlquery);

  // Bind variables
  mysqli_stmt_bind_param($stmt, "i", $_GET['id_active']);

  if(mysqli_stmt_execute($stmt)){
    // Simpan Hasil query
    mysqli_stmt_store_result($stmt);
    // username exist
    mysqli_stmt_bind_result($stmt, $username, $fullname, $email, $phoneno, $isdriver, $avg_vote, $n_voters, $img_name);

    mysqli_stmt_fetch($stmt);
  }
?>
<html>
<head>
  <title>Edit Profile</title>
  <link rel="stylesheet" type="text/css" href="css/fan.css">
  <link href="https://fonts.googleapis.com/css?family=Oswald|Roboto" rel="stylesheet">
</head>
<body>
  <main class="container">
  <form action="update.php" method="post" enctype="multipart/form-data">
    <h1 class="uppercase">Edit Profile Information</h1>
    <div class="row relative mb25">
      <div class="col-4">
        <div class="photo-container">
          <?php echo '<img class="border" src="img/' . $img_name . '" />' ?>
        </div>
      </div>
      <div class="col-8 vertical-center r0">
          Update profile picture<br>
          <div class="photo-update">
            <input type="file" name="fileToUpload" id="fileToUpload" class="inputfile">
            <!-- <label for="file"><span></span><strong>Browse</strong></label> -->
          </div>
      </div>
    </div>
    <div class="row">
      <div class="col-4">Your Name</div>
      <div class="col-8"><input type="text" name="name" class="w100" value="<?php echo $fullname; ?>"></div>
    </div>
    <div class="row mt5">
      <div class="col-4">Phone</div>
      <div class="col-8"><input type="text" name="phone" maxlength="14" class="w100" value="<?php echo $phoneno; ?>"></div>
    </div>
    <div class="row mt5">
      <div class="col-4">Status Driver</div>
      <div class="col-8 right-align">
        <!-- Rounded switch -->
        <label class="switch">
          <?php 
            if ($isdriver == 1) {
              echo '<input name="isdriver" type="checkbox" checked>';
            }else {
              echo '<input name="isdriver" type="checkbox">';
            }
          ?>
          <span class="slider round"></span>
        </label>
      </div>
    </div>
    <input type="hidden" name="id_active" value="<?php echo $_GET['id_active'];?>">
    <input type="hidden" name="username" value="<?php echo $username;?>">
    <div class="row mt25">
      <div class="col-6"><a href="profile.php?id_active=<?php echo $_GET['id_active'];?>" class="btn red-bg uppercase">Back</a></div>
      <div class="col-6 right-align"><button type="submit" class="btn green-bg uppercase">Save</button></div>
    </div>
  </form>
  </main>

</body>
</html>
<?php

?>