<!DOCTYPE html>
<?php
    require_once 'dbconfig.php';

    $sqlconn = mysqli_connect(DB_SERVER, DB_USERNAME, DB_PASSWORD, DB_NAME);
    if (!$sqlconn) {
      die('mySQL connection failed');
    }

    // Menyiapkan statement SELECT
    $sqlquery = 'SELECT username, fullname, email, phoneno, isdriver, avg_vote, n_voters, img_name FROM userinfo WHERE id=?';
    $stmt = mysqli_prepare($sqlconn, $sqlquery);

    // Bind variables
    mysqli_stmt_bind_param($stmt, "i", $_GET['id_active']);

    if(mysqli_stmt_execute($stmt)){
      // Simpan Hasil query
      mysqli_stmt_store_result($stmt);
      // username exist
      mysqli_stmt_bind_result($stmt, $username, $fullname, $email, $phoneno, $isdriver, $avg_vote, $n_voters, $img_name);

      mysqli_stmt_fetch($stmt);
    }

    //AMBIL DATA HISTORY ORDER
    $query_order_history = 'SELECT order_id, date, u_customer, u_driver, source, destination, rating_given, comment_given, img_name, ishide_cust FROM orderhistory INNER JOIN userinfo ON orderhistory.u_customer=userinfo.username AND userinfo.username=?';
    $order_history = mysqli_prepare($sqlconn, $query_order_history);

    // Bind variables
    mysqli_stmt_bind_param($order_history, "s", $username);

    if(mysqli_stmt_execute($order_history)){
      // Simpan Hasil query
      mysqli_stmt_store_result($order_history);
      // username exist
      mysqli_stmt_bind_result($order_history, $id, $date, $u_customer, $u_driver, $source, $destination, $rating_given, $comment_given, $img_name, $ishide_cust);
    }

    //AMBIL DATA DRIVER HISTORY
    $query_driver_history = 'SELECT order_id, date, u_customer, u_driver, source, destination, rating_given, comment_given, img_name, ishide_driver FROM orderhistory INNER JOIN userinfo ON orderhistory.u_customer=userinfo.username AND orderhistory.u_driver=?';
    $driver_history = mysqli_prepare($sqlconn, $query_driver_history);

    // Bind variables
    mysqli_stmt_bind_param($driver_history, "s", $username);

    if(mysqli_stmt_execute($driver_history)){
      // Simpan Hasil query
      mysqli_stmt_store_result($driver_history);
      // username exist
      mysqli_stmt_bind_result($driver_history, $id, $date, $u_customer, $u_driver, $source, $destination, $rating_given, $comment_given, $img_name, $ishide_driver);
    }
?>
<html>
<head>
    <title>History</title>
    <link rel="stylesheet" type="text/css" href="css/fan.css">
    <link href="https://fonts.googleapis.com/css?family=Oswald" rel="stylesheet">
</head>
<body>
  <!-- Start Header -->
  <header class="container">
    <div class="row">
      <div class="col-6">
        <div class="title"><span class="green">PR-</span><span class="red">OJEK</span></div>
        <div class="green">wushh... wushh... ngeeeeeenggg...</div>
      </div>
      
      <div class="col-6 right-align mt10">
        Hi, <b><?php echo $username ?></b> !<br>
        <a href="login.php"><span class="blue">Logout</span></a>
      </div>
    </div>
    <!-- Start Navigation -->
    <nav class="mt10">
      <ul>
        <li><a href="order-ojek.php?id_active=<?php echo $_GET['id_active'] ?>">Order</a></li>
        <li><a href="#" class="active">History</a></li>
        <li><a href="profile.php?id_active=<?php echo $_GET['id_active'] ?>">My Profile</a></li>
      </ul>
    </nav>
    <!-- End Navigation -->
  </header>
  <!-- End Header -->
  <main class="container">
    <h1 class="uppercase">Transaction History</h1>
    <!-- Start Tab History -->
    <!-- Start Tab Button -->
    <div class="tab">
      <button class="tablinks" onclick="openTab(event, 'order')" id="defaultOpen">My Previous Orders</button>
      <button class="tablinks" onclick="openTab(event, 'driver')">Driver History</button>
    </div>
    <!-- End Tab Button -->
    <!-- Start Previous Order Content Tab -->
    <div id="order" class="tabcontent active">
      <?php
      while (mysqli_stmt_fetch($order_history)) {
        if ($ishide_cust == 0){
          switch ($rating_given) {
            case 1:
              $rating='&#9734;';
              break;
            case 2:
              $rating='&#9734;&#9734;';
              break;
            case 3:
              $rating='&#9734;&#9734;&#9734;';
              break;
            case 4:
              $rating='&#9734;&#9734;&#9734;&#9734;';
              break;
            case 4:
              $rating='&#9734;&#9734;&#9734;&#9734;&#9734;';
              break;
            default:
              $rating='';
          }
          $date=strtotime($date);
          $id_hide="'order$id'";
          $listhistory = '
          <!-- Start List Item -->
          <div class="row mt40" id="order'.$id.'">
            <div class="col-4 photo-container px15">
              <img src="img/'.$img_name.'" class="border">
            </div>
            <div class="col-8 relative">
              <div class="date">'.date("l, F j",$date).'th '.date("Y",$date).'</div>
              <div class="driver-name">'.$u_driver.'</div>
              <div class="destination mt10">'.$source.' &#8594; '.$destination.'</div>
              <div class="rating mt10">You rated: <span class="orange">'.$rating.'</span></div>
              <div class="comment">You commented:
              <p class="m0">'.$comment_given.'</p></div>
              <div class="hide-btn r0 t0">
                <button class="uppercase btn red-bg" onclick="hideCust('.$id_hide.','.$id.')">Hide</button>
              </div>
            </div>
          </div>
          
          <!-- End List Item -->';
          echo $listhistory;
        }
        
      }
      ?>
    </div>
    <!-- End Previous Order Content Tab -->

    <!-- Start Driver History Content Tab -->
    <div id="driver" class="tabcontent">
      <?php
      while (mysqli_stmt_fetch($driver_history)) {
        $date=strtotime($date);
        if ($ishide_driver == 0){
          $id_hide="'driver$id'";
          $listhistory = '
            <!-- Start List Item -->
            <div class="row mt40" id="driver'.$id.'">
              <div class="col-4 photo-container px15">
                <img src="img/'.$img_name.'" class="border">
              </div>
              <div class="col-8 relative">
                <div class="date">'.date("l, F j",$date).'th '.date("Y",$date).'</div>
                <div class="driver-name">'.$u_customer.'</div>
                <div class="destination mt5">'.$source.' &#8594; '.$destination.'</div>
                <div class="rating mt5">gave <span class="orange">'.$rating_given.'</span> stars for this order</div>
                <div class="comment mt5">and left comment:
                <p class="m0">'.$comment_given.'</p></div>
                <div class="hide-btn r0 t0">
                  <button class="uppercase btn red-bg" onclick="hideDriver('.$id_hide.','.$id.')">Hide</button>
                </div>
              </div>
            </div>
            <!-- End List Item -->';

          echo $listhistory;
        }
      }
      ?>
    </div>
    <!-- End Driver History Content Tab -->
    <!-- End Tab History -->
  </main>

  <script src="js/fan.js"></script>
</body>
</html>
