<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <title>Sign Up</title>
    <link rel="stylesheet" href="css/styles.css">
    <script src="js/register.js" charset="utf-8"></script>
    <link href="https://fonts.googleapis.com/css?family=Oswald" rel="stylesheet">
  </head>
  <body>
    <div class="container register">
      <div class="box">
        <h1 class="no-background">
          <span><b>SIGN UP</b></span>
        </h1>
        <form onsubmit="return submitForm()" action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]); ?>" method="post">
          <label>Your Name</label>
          <input type="text" class="form-control" name="nama" >
          <label>Username</label>
          <input type="text" class="form-control validation" onkeyup="return validate(this.name,this.value)" name="username" ><span class="valid-status" alt='invalid'></span>
          <label>Email</label>
          <input type="text" class="form-control validation" onkeyup="return validate(this.name,this.value)" name="email" ><span class="valid-status" alt='invalid'></span>
          <label>Password</label>
          <input type="password" class="form-control" name="password" >
          <label>Confirm Password</label>
          <input type="password" class="form-control" onkeyup="checkConfirmPasswd(this)" name="cpassword" >
          <label>Phone Number</label>
          <input type="text" class="form-control" name="phone" ><br><br>
          <div class="checkbox">
            <input type="checkbox" class="checkbox" name="isdriver" value="true">Also sign me up as a driver
          </div>
          <button type="submit" class="btn-register">REGISTER</button>
        </form>
        <a class="signin-link" href="login.php">Already Have an account?</a>
        <br><br>
      </div>
    </div>
  </body>
</html>

<?php
require_once 'dbconfig.php';

function register($data){
  $sqlconn = mysqli_connect(DB_SERVER, DB_USERNAME, DB_PASSWORD, DB_NAME);
  if (!$sqlconn) {
    die('mySQL connection failed');
  }

  // Menyiapkan statement INSERT

  $sqlquery = 'INSERT INTO userinfo (username, fullname, email, pass, phoneno, isdriver) VALUES (?, ?, ?, ?, ?, ?)';
  $stmt = mysqli_prepare($sqlconn, $sqlquery);
  mysqli_stmt_bind_param($stmt, "sssssi", $data->username,  $data->nama, $data->email,$data->password, $data->phone, $data->isdriver);
  if(mysqli_stmt_execute($stmt)){
    return true;
  }
  return false;
}

// Eksekusi
function authenticate($username, $password) {
  $sqlconn = mysqli_connect(DB_SERVER, DB_USERNAME, DB_PASSWORD, DB_NAME);
  if (!$sqlconn) {
    die('mySQL connection failed');
  }

  // Menyiapkan statement SELECT
  $sqlquery = 'SELECT id, username, pass FROM userinfo WHERE username=?';
  $stmt = mysqli_prepare($sqlconn, $sqlquery);

  // Bind variables
  mysqli_stmt_bind_param($stmt, "s", $username);

  if(mysqli_stmt_execute($stmt)){
    // Simpan Hasil query
    mysqli_stmt_store_result($stmt);
    // username exist
    if(mysqli_stmt_num_rows($stmt) == 1) {
      mysqli_stmt_bind_result($stmt, $hasil_id, $hasil_username, $hasil_password);
      if(mysqli_stmt_fetch($stmt)){
        if(password_verify($password, $hasil_password)){
          // Hasil match
          return $hasil_id;
        }
      }
    }
  }

}

if($_SERVER['REQUEST_METHOD'] == 'POST'){
  $data = new \stdClass();
  $data->username = $_POST['username'];
  $data->password = password_hash($_POST['password'], PASSWORD_BCRYPT);
  $data->nama = $_POST['nama'];
  $data->email = $_POST['email'];
  $data->phone = $_POST['phone'];
  $data->isdriver = isset($_POST['isdriver']) ? 1 : 0;

  if (register($data)) {
    // header('Location : /');
    if ($id = authenticate($_POST['username'], $_POST['password'])){
      // $_SESSION['user_id'] = $id;
      if ($data->isdriver) {
        header('Location: profile.php?id_active=' . $id);
        exit;
      } else {
        header('Location: order-ojek.php');
        exit;
      }
    }
  }
}

 ?>
