<!DOCTYPE html>

<?php
  require_once 'dbconfig.php';

  // Create connection
  $conn = new mysqli(DB_SERVER,DB_USERNAME,DB_PASSWORD,DB_NAME);
  // Check connection
  if ($conn->connect_error) {
      die("Connection failed: " . $conn->connect_error);
  }

  /* GET USER INFO */
  // Menyiapkan statement SELECT
  $sqlquery = 'SELECT username, fullname, email, phoneno, isdriver, avg_vote, n_voters, img_name FROM userinfo WHERE id=?';
  $stmt = mysqli_prepare($conn, $sqlquery);

  // Bind variables
  mysqli_stmt_bind_param($stmt, "i", $_GET['id_active']);

  if(mysqli_stmt_execute($stmt)){
    // Simpan Hasil query
    mysqli_stmt_store_result($stmt);
    // username exist
    mysqli_stmt_bind_result($stmt, $username, $fullname, $email, $phoneno, $isdriver, $avg_vote, $n_voters, $img_name);

    mysqli_stmt_fetch($stmt);
  }

  /* SELECT DRIVER */
  $sql = "SELECT * FROM userinfo, prefloc WHERE userinfo.id = prefloc.id";

 ?>
<html>
<head>
  <title>Select Driver</title>
  <link rel="stylesheet" type="text/css" href="css/fan.css">
  <link href="https://fonts.googleapis.com/css?family=Oswald|Roboto" rel="stylesheet">
</head>
<body>
  <!-- Start Header -->
  <header class="container">
    <div class="row">
      <div class="col-6">
        <div class="title"><span class="green">PR-</span><span class="red">OJEK</span></div>
        <div class="green">wushh... wushh... ngeeeeeenggg...</div>
      </div>
      <div class="col-6 right-align mt10">
        Hi, <b><?php echo $username ?> !</b><br>
        <a href=""><span class="blue">Logout</span></a>
      </div>
    </div>
    <!-- Start Navigation -->
    <nav class="mt10">
      <ul>
        <li><a href="order-ojek.php?id_active=<?php echo $_GET['id_active'] ?>">Order</a></li>
        <li><a href="#" class="active">History</a></li>
        <li><a href="profile.php?id_active=<?php echo $_GET['id_active'] ?>">My Profile</a></li>
      </ul>
    </nav>
    <!-- End Navigation -->
  </header>
  <!-- End Header -->
  <!-- Start Main -->
  <main class="container">
    <h1 class="uppercase">Make An Order</h1>
    <!-- Start Status -->
    <div class="row status">
      <div class="col-3 border mr25">
        <div class="col-4 numb"><div class="round-numb center-center">1</div></div>
        <div class="col-8 p5">Select Destination</div>
      </div>
      <div class="col-3 border mr25 active">
        <div class="col-4 numb"><span class="round-numb center-center">2</span></div>
        <div class="col-8 p5">Select a Driver</div>
      </div>
      <div class="col-3 border">
        <div class="col-4 numb"><span class="round-numb center-center">3</span></div>
        <div class="col-8 p5">Complete your order</div>
      </div>
    </div>
    <!-- End Status -->
    <!-- Start Preferred Drivers -->
    <div class="row border mt10 br8 px10">
      <h2 class="uppercase mt5">Preferred Drivers:</h2>
      <ul class="driver">
<?php
  $result = $conn->query($sql);
  $n_pref = 0;
  if ($result->num_rows > 0) {
    // output data of each row
    while($row = $result->fetch_assoc()) {
        if ($row['location'] == $_POST['source'] || $row['location'] == $_POST['destination']) {
          if (isset($_POST['prefdriver']) && $row['username'] == $_POST['prefdriver']) {
            $n_pref++;
            echo
              '<li class="row">'.
                '<div class="col-4 photo-container p15 ">'.
                  '<img src="img/'.$row['img_name'] .'" class="border">'.
                '</div>'.
                '<div class="col-8">'.
                  '<h3 class="mb0">' . $row['fullname'] .'</h3>'.
                  '<div class="rating"><span class="orange">&#9734; '. $row['avg_vote'] ."   ".'</span>('.$row['n_voters']. 'votes)</div>'.
                //  <?php echo'.'complete-order.php?id_active='.$_GET['id_active'];
                  '<form method="post" action="'. 'complete-order.php?id_active='.$_GET["id_active"]. '" >'.
                    '<input type="hidden" name="source" value="'.$_POST["source"].' "/>'.
                    '<input type="hidden" name="destination" value="'. $_POST['destination'] . '"/>'.
                    '<input type="hidden" name="u_driver" value="'. $row['id']. '"/>'.
                    '<div class="right-align mt25">'.
                    '<input class="uppercase btn green-bg" type="submit" value="I choose you!"/>'.
                    '</div>'.
                  '</form>'.
                '</div>'.
              '</li>';
          }
        }
    }

  }

    if ($n_pref == 0) {
      echo '<div class="center-align mb25 grey">Nothing to display :(</div>';
    }
  ?>
</ul>
    </div>
    <!-- End Preferred Drivers -->
    <!-- Start Other Drivers -->
    <div class="row border mt5 br16 px10">
      <h2 class="uppercase mt5 mb0">Other Drivers:</h2>
      <ul class="driver">
        <?php
          $result = $conn->query($sql);
          $n_pref = 0;
          if ($result->num_rows > 0) {
            // output data of each row
            while($row = $result->fetch_assoc()) {
                if ($row['location'] == $_POST['source'] || $row['location'] == $_POST['destination']) {
                  if (isset($_POST['prefdriver']) && $row['username'] != $_POST['prefdriver']) {
                    $n_pref++;
                    echo
                      '<li class="row">'.
                        '<div class="col-4 photo-container p15 ">'.
                          '<img src="img/'.$row['img_name'] .'" class="border">'.
                        '</div>'.
                        '<div class="col-8">'.
                          '<h3 class="mb0">' . $row['fullname'] .'</h3>'.
                          '<div class="rating"><span class="orange">&#9734; '. $row['avg_vote'] ."   ".'</span>('.$row['n_voters']. 'votes)</div>'.
                        //  <?php echo'.'complete-order.php?id_active='.$_GET['id_active'];
                          '<form method="post" action="'. 'complete-order.php?id_active='.$_GET["id_active"]. '" >'.
                            '<input type="hidden" name="source" value="'.$_POST["source"].' "/>'.
                            '<input type="hidden" name="destination" value="'. $_POST['destination'] . '"/>'.
                            '<input type="hidden" name="u_driver" value="'. $row['id']. '"/>'.
                            '<div class="right-align mt25">'.
                            '<input class="uppercase btn green-bg" type="submit" value="I choose you"/>'.
                            '</div>'.
                          '</form>'.
                        '</div>'.
                      '</li>';
                  }
                }
            }

          }

            if ($n_pref == 0) {
              echo '<div class="center-align mb25 grey">Nothing to display :(</div>';
            }
          ?>
    </div>
    <!-- End Other Drivers -->
  </main>
  <!-- End Main -->
</body>
</html>
